Name:           noise-suppression-for-voice
Version:        0.91
Release:        2%{?dist}
Summary:        A real-time noise suppression plugin for voice based on Xiph RNNoise.

License:        GPLv3
URL:            https://github.com/werman/noise-suppression-for-voice
Source0:        https://github.com/werman/%{name}/archive/refs/tags/v%{version}.tar.gz
Patch0001:      0001-Also-copy-.ttl-files-for-lv2-plugin-and-fix-path.patch
Patch0002:      0002-Remove-lib-prefix-from-lv2-plugin-binary.patch
Patch0003:      0003-typo-in-readme.patch
Patch0004:      0004-common-do-not-dereference-first-element-of-zero-size.patch


BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  gcc-g++
BuildRequires:  cmake
BuildRequires:  lv2-devel

%description
The plugin is meant to suppress a wide range of noise origins (from original paper): computer fans, office, crowd, airplane, car, train, construction.

The plugin is made to work with 1 channel and/or 2 channels (ladspa plugin), 16 bit, 48000 Hz audio input.

%prep
%autosetup -Sgit -p1

%build
%cmake -DBUILD_LV2_PLUGIN=ON
%cmake_build

%install
%cmake_install

# %{__install} -D -m 755 %{_target_platform}/bin/ladspa/librnnoise_ladspa.so   %{buildroot}/%{_libdir}/ladspa/librnnoise_ladspa.so
# %{__install} -D -m 644 %{_target_platform}/bin/rnnoise.lv2/manifest.ttl      %{buildroot}/%{_libdir}/lv2/rnnoise.lv2/manifest.ttl
# %{__install} -D -m 644 %{_target_platform}/bin/rnnoise.lv2/rnnoise.ttl       %{buildroot}/%{_libdir}/lv2/rnnoise.lv2/rnnoise.ttl
# %{__install} -D -m 755 %{_target_platform}/bin/rnnoise.lv2/librnnoise_lv2.so %{buildroot}/%{_libdir}/lv2/rnnoise.lv2/librnnoise_lv2.so


%files
%license LICENSE
%doc README.md
%{_libdir}/ladspa/librnnoise_ladspa.so
%{_libdir}/lv2/rnnoise.lv2/*


%changelog
* Thu Jun 17 2021 Olivier Samyn 🎻 <code@oleastre.be> - 0.91-2
- Add various patches to match plugin master branche

* Mon May 31 2021 Olivier Samyn 🎻 <code@oleastre.be> - 0.91-1
- Initial package
